// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.command;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystems.Grimpeur;

/* You should consider using the more terse Command factories API instead https://docs.wpilib.org/en/stable/docs/software/commandbased/organizing-command-based.html#defining-commands */
public class GrimperHaut extends Command {
  private Grimpeur grimpeur;
  /** Creates a new Grimper. */
  public GrimperHaut(Grimpeur grimpeur) {
    this.grimpeur = new Grimpeur();
    addRequirements(grimpeur);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(grimpeur.stop()==true){
      grimpeur.grimpe(0);
      grimpeur.reset();
    }
    else{
      grimpeur.grimpe(0.5);
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    grimpeur.grimpe(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return grimpeur.stop()==true;
  }
}
